de.esprit.appsuite.appstore.ndf

## Class AppLaunchPrefs

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.appstore.ndf.AppLaunchPrefs

- All Implemented Interfaces:
    Dumpable

      public final class AppLaunchPrefs
      extends DumpableObject

  This class encapsulates the parameters for launching/restarting a Java application.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppLaunchPrefs(JavaVmType javaVmType, JavaTechnology javaTechnology, int vmMaxMemory)` This class stores the user preferences for starting a java application

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `JavaTechnology` | `getJavaTechnology()`
    `JavaVmType` | `getJavaVmType()`
    `int` | `getVmMaxMemory()`
    `void` | `setJavaTechnology(JavaTechnology javaTechnology)`
    `void` | `setJavaVmType(JavaVmType javaVmType)`
    `void` | `setVmMaxMemory(int vmMaxMemory)`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AppLaunchPrefs

          public AppLaunchPrefs(JavaVmType javaVmType,
                        JavaTechnology javaTechnology,
                        int vmMaxMemory)

      This class stores the user preferences for starting a java application
      Parameters:
        `vmMaxMemory` - (in MB)

  - ### Method Detail

    - #### setJavaVmType

          public void setJavaVmType(JavaVmType javaVmType)

    - #### setJavaTechnology

          public void setJavaTechnology(JavaTechnology javaTechnology)

    - #### setVmMaxMemory

          public void setVmMaxMemory(int vmMaxMemory)

    - #### getJavaTechnology

          public JavaTechnology getJavaTechnology()

    - #### getJavaVmType

          public JavaVmType getJavaVmType()

    - #### getVmMaxMemory

          public int getVmMaxMemory()

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.